﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using Com.Piwigo.Lib.Proxy;
using Com.Piwigo.Lib.Service;
using Com.Piwigo.Lib.DTO;
using Com.Piwigo.Lib.Proxy.Response;


namespace TestPiwigoLib
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
        }

        private void button1_Click(object sender, EventArgs e)
        {
            PwgConfigProxy.PwgUserAgent = "TestPiwigoLib";
            PwgConfigProxy.PwgServeurUriBuilder.Host = "bayral.free.fr";
            PwgConfigProxy.PwgServeurUriBuilder.Path = "phpwebgallery/ws.php";
            PwgConfigProxy.PwgServeurUriBuilder.Scheme = "http://";

            Console.WriteLine(PwgConfigProxy.PwgServeurUriBuilder.Uri.AbsoluteUri);

            try
            {
                PwgSession sess = null;
                sess = PwgSessionService.GetPwgSession();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                sess = PwgSessionService.Login(tbUser.Text,tbPassword.Text);
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                Boolean rc = PwgTagsService.AddTag("Loic");

                List<PwgTag> lstTag = PwgTagsService.GetAdminListOfTag();

                sess = PwgSessionService.Logout();
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);

                sess = PwgSessionService.Login(tbUser.Text, tbPassword.Text);
                Console.WriteLine("user : " + sess.UserName + " " + sess.Status);
            }
            catch (PwgServiceException ex)
            {
                Console.WriteLine("Erreur " + ex.NumeroErr + " " + ex.MessageErr);
            }

            


        }
    }
}
